### Method

# CM Matrix add_clients_async

#### Declaration [src]

    void
    cm_matrix_add_clients_async (
      CmMatrix* self,
      GPtrArray* secrets,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Add clients identified by their secrets.

This method completes asynchronously. Use `cm_matrix_add_clients_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`secrets`

  Type: An array of `None`

  The secrets to build the clients from.

  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.